# Uses of Interface
ch.qos.logback.core.boolex.EventEvaluator

Packages that use EventEvaluator
Package
Description
ch.qos.logback.access.boolex
ch.qos.logback.access.net
ch.qos.logback.classic.boolex
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.core.boolex
Contains the EventEvaluator interface and subclasses.
ch.qos.logback.core.filter
Contains base classes to the event filtering functionality of logback.
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.

## Uses of EventEvaluator in ch.qos.logback.access.boolex

Classes in ch.qos.logback.access.boolex that implement EventEvaluator
Modifier and Type
Class
Description
`class`
`JaninoEventEvaluator`

## Uses of EventEvaluator in ch.qos.logback.access.net

Classes in ch.qos.logback.access.net that implement EventEvaluator
Modifier and Type
Class
Description
`class`
`URLEvaluator`
Constructors in ch.qos.logback.access.net with parameters of type EventEvaluator
Modifier
Constructor
Description
``
`SMTPAppender(EventEvaluator<IAccessEvent> evaluator)`
Use `evaluator` passed as parameter as the `EventEvaluator` for this SMTPAppender.

## Uses of EventEvaluator in ch.qos.logback.classic.boolex

Classes in ch.qos.logback.classic.boolex that implement EventEvaluator
Modifier and Type
Class
Description
`class`
`JaninoEventEvaluator`
`class`
`OnErrorEvaluator`
Evaluates to true when the logging event passed as parameter has level ERROR or higher.
`class`
`OnMarkerEvaluator`
Evaluates to true when the logging event passed as parameter contains one of the user-specified markers.

## Uses of EventEvaluator in ch.qos.logback.classic.net

Constructors in ch.qos.logback.classic.net with parameters of type EventEvaluator
Modifier
Constructor
Description
``
`SMTPAppender(EventEvaluator<ILoggingEvent> eventEvaluator)`
Use the parameter as the `EventEvaluator` for this SMTPAppender.

## Uses of EventEvaluator in ch.qos.logback.core.boolex

Classes in ch.qos.logback.core.boolex that implement EventEvaluator
Modifier and Type
Class
Description
`class`
`EventEvaluatorBase<E>`
`class`
`JaninoEventEvaluatorBase<E>`
Abstract class which sets the groundwork for janino based evaluations.

## Uses of EventEvaluator in ch.qos.logback.core.filter

Methods in ch.qos.logback.core.filter that return EventEvaluator
Modifier and Type
Method
Description
`EventEvaluator<E>`
EvaluatorFilter.`getEvaluator()`
Methods in ch.qos.logback.core.filter with parameters of type EventEvaluator
Modifier and Type
Method
Description
`void`
EvaluatorFilter.`setEvaluator(EventEvaluator<E> evaluator)`

## Uses of EventEvaluator in ch.qos.logback.core.net

Fields in ch.qos.logback.core.net declared as EventEvaluator
Modifier and Type
Field
Description
`protected EventEvaluator<E>`
SMTPAppenderBase.`eventEvaluator`
Methods in ch.qos.logback.core.net with parameters of type EventEvaluator
Modifier and Type
Method
Description
`void`
SMTPAppenderBase.`setEvaluator(EventEvaluator<E> eventEvaluator)`
The EventEvaluator option takes a string value representing the name of the class implementing the `EventEvaluator` interface.